#include <iostream>
#include <vector>

using namespace std;

// Obliczamy wynik punktowy dla danej reki.
int wynik(const string& reka) {
  // Deklarujemy zmienne na liczbę punktów oraz liczbę asów.
  int punkty = 0;
  int asy = 0;

  // Dla każdej karty.
  for (char karta : reka) {
    // Sprawdzamy czy ta karta jest pomiędzy 2 a 9.
    // Zwróć uwagę, że karta jest typu napis,
    // zatem 2 i 9 także muszą być napisami.
    if ('2' <= karta and karta <= '9') {
      // Dodajemy wartość tej karty, którą otrzymujemy
      // poprzez usunięcie wartości litery '0'.
      punkty += karta - '0';
    } else if (karta == 'A') {
      // W przeciwnim wypadku, jeżeli karta jest asem.
      // Dodajemy jeden do liczby punktów (który zawsze musimy wziąć).
      punkty++;
      // Oraz dodajemy jeden do liczby asów.
      asy++;
    } else {
      // W przeciwnym wypadku mamy dziesiątkę,
      // waleta, damę, lub króla. Każda z tych
      // kart jest warta 10.
      punkty += 10;
    }
  }

  // Teraz bierzemy większe wartości asów (11),
  // póki nie przekroczymy 21.
  while (asy > 0 and punkty <= 11) {
    asy--;
    punkty += 10;
  }

  // Finalnie funkcja zwraca liczbę punktów
  // w optymalnym wariancie.
  return punkty;
}


int main() {
  // Wczytujemy liczbę graczy.
  int N;
  cin >> N;

  // Wczytujemy ręce graczy oraz zapisujemy
  // ich optymalne wyniki w liście `wyniki`.
  vector<int> wyniki;
  for (int i = 0; i < N; i++) {
    string reka;
    cin >> reka;
    int wynik_dla_reki = wynik(reka);
    wyniki.push_back(wynik_dla_reki);
  }

  // Szukamy najlepszego wyniku nie przekraczającego 21.
  int najlepszy_wynik = -1;
  for (int wynik : wyniki) {
    // Rozpatrujemy tylko wyniki niewiększe od 21.
    if (wynik <= 21)
      if (wynik > najlepszy_wynik)
        najlepszy_wynik = wynik;
  }

  // Teraz generujemy listę numerów zawodników,
  // którzy są zwycięzcami.
  vector<int> zwyciezcy;
  for (int i = 0; i < N; i++) {
    if (wyniki[i] == najlepszy_wynik) {
      // Zwróć uwagę, że zawodnicy są numerowani od 1 do N,
      // a w programie i jest od 0 do N - 1, zatem musimy dodać jeden.
      zwyciezcy.push_back(i + 1);
    }
  }

  // Wypisz liczbę zwycięzców.
  cout << zwyciezcy.size() << "\n";
  // A następnie ich numery.
  for (int zwyciezca : zwyciezcy)
    cout << zwyciezca << " ";
  cout << "\n";
}
